<?php
//error_reporting(E_ALL);
//Pavel Reyz//
	/* http://it-mobi.ru*/
	/*Только лучшая помощь в рунете*/

//Инклюдим файл подключения с базой данных

include_once($_SERVER["DOCUMENT_ROOT"].'/system/db.php');
//инклюдим дополнения
include_once($_SERVER["DOCUMENT_ROOT"].'/system/extensions.php');

//Функция вывода
function output($string){
	//Преобразуем html теги в html ущности
	$string = htmlspecialchars($string);
	
	//Вставляем html код разрыва строки перед каждым переводом строки
	$string = nl2br($string); 
	$string = bb($string);

	//Выводим строку
	return $string;
}

//Функция фильтрации
function guard($str)
{
$str=preg_replace('"‮"', " ", $str);//вырезка битовой команды реверса строки
//Убираем пробелы с начала и конца строки
$str = trim($str);
//Возвращаем отфильтрованную строку
return $str;
}

function times($time = NULL)
{

    if (!$time)
        $time = TIME;

    $data = date('j.n.y', $time);
    if ($data == date('j.n.y'))
        $res = 'Сегодня в '.date('G:i', $time);
    elseif ($data == date('j.n.y', TIME - 86400))
        $res = 'Вчера в '.date('G:i', $time);
    elseif ($data == date('j.n.y', TIME - 172800))
        $res = 'Позавчера в '.date('G:i', $time);
    else
    {
        $m = array(
            '0',
            'Января',
            'Февраля',
            'Марта',
            'Апреля',
            'Мая',
            'Июня',
            'Июля',
            'Августя',
            'Сентября',
            'Октября',
            'Ноября',
            'Декабря');

        $res = date('j '.$m[date('n', $time)].' Y в G:i', $time);
        $res = str_replace(date('Y'), '', $res);
    }
    return $res;
}

//Функция вывода ника
function nick($id){
	//Объявляем переменную db глобальной
	global $db;
	//Фильруем переданный id (даем тип integer и возвращаем модуль числа)
	$id = abs(intval($id));
	//Создаем массив юзера
	$us = $db->query("SELECT * FROM `users` WHERE `id`='".$id."'")->fetch_assoc();
	//Заменяем html теги на их сущности (защита от xss)
	$us['nick']=htmlspecialchars($us['nick']);
	//Определяем ранг пользователя
	/*
	* Если ранг пользователя равен 1, то возле ника выведет журналист.
	* Если ранг пользователя равен 2, то возле ника выведет Мод.
	* Если ранг пользователя равен 3, то возле ника выведет Ст. Адм.
	* Если ранг пользователя равен 4, то возле ника выведет Соз.
	*/
	if($us['level']==1){
		$level = ' <font color="green">[Журналист]</font>';
	}elseif($us['level']==2){
		$level = ' <font color="red">[Мод]</font>';
	}elseif($us['level']==3){
		$level = ' <font color="blue">[Адм]</font>';
	}elseif($us['level']==4){
		$level = ' <font color="orange">[Соз]</font>';
	}
	//Выводим ссылку на профиль пользователя
	$nick = '<a href="/user/'.$us['id'].'">'.$us['nick'].'</a>'.$level;
	//Если пользователь мужского рода
	if($us['sex'] == 1){
		//Если пользователь мужского рода
		if($us['online']>=time()-300){
			//если пользователь онлайн
			$icon='<img src="/style/images/icons/online/m_on.png">';
			}else{
			//если пользователь оффлайн
			$icon='<img src="/style/images/icons/online/m_off.png">';
		}
	}else{
		//Если пользователь женского рода
		if($us['online']>=time()-300){
			//Если онлайн
			$icon='<img src="/style/images/icons/online/w_on.png">';
		}else{
			//Если оффлайн
			$icon='<img src="/style/images/icons/online/w_off.png">';
		}
	}
	//Если поотзователя не существует, то ник будет Удален
	if($db->query("SELECT * FROM `users` WHERE `id`='".$id."'")->num_rows == 0){
		$nick = 'Удален';
	};
	//Возвращаем иконку и ник
	echo $icon.' '.$nick;
}

//Функция вывода ошибки
function error($string){
	//Фильтруем текст ошибки
	$string = output($string);
	//Если текст ошибки не передан, то присваем тексту ошибки значение - "Ошибочка вышла"
	if($string==NULL){
		$string = 'Ошибочка вышла';
	}
	//Выводим ошибку
	?>
	<div class="error"><?=$string?></div>
	<?
	//Инклюдим ноги
	include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
	//Прекращаем выполнение скрипта
	exit();
}

//Функция опрвещения об удачной операции
function success($string){
	//Фильтруем текст оповещания
	$string = output($string);
	//Выводим оповещание
	?>
	<div class="success"><?=$string?></div>
	<?
}

//Функция доступа
function mode($mode){
	//Объявляем переменную user глобальной
	global $user;
	//Если передан параметр guest
	if($mode == 'guest'){
		//Если существует переменная $user, то выводим ошибку функцией error используя функцию опусанную выше
		if(isset($user['id'])){
			error('Данная страница доступна только авторизованным пользователям!');
		}
	}elseif($mode == 'user'){//Если передан параметр user
		//Если не существует переменной user, то выводим ошибку используя функцию описанную выше
		if(!isset($user['id'])){
			error('Данная страница доступна для просмотра только авторизованным пользователям!');
		}
	}
}

//Функция проверки ранга
function level($level){
	//Объявляем переменную user глобальной
	global $user;
	//Если ранг пользователя ниже переданного, то выводим ошибку используя функцию описанную выше
	if($user['level']<$level){
		error('У вас недостаточно прав для просмотра данной страницы!');
	}
}
function smi($string)
{

				

        return $string;

}
function bb ($string)
{
        
        //$string = preg_replace_callback('~\\[url=(https?://.+?)\\](.+?)\\[/url\\]|(https?://(www.)?[0-9a-z\.-]+\.[0-9a-z]{2,6}[0-9a-zA-Z/\?\.\~&amp;_=/%-:#]*)~', 'url_replace', $string);

        
       
        
        $codes = array (
                // ссылка
                '/\[url=(.+)\](.+)\[\/url\]/is'        =>'<a href="\1">\2</a>',
                '/\[url](.+)\[\/url\]/isU'             =>'<a href="\1">\1</a>',
                // наклонный текст
                '/\[i\](.+)\[\/i\]/isU'                => '<i>\1</i>',
                // жирный текст
                '/\[b\](.+)\[\/b\]/isU'                => '<b>\1</b>',
                // подчеркнутый текст
                '/\[u\](.+)\[\/u\]/isU'                => '<u>\1</u>',
                // мелкий текст
                '/\[small\](.+)\[\/small\]/i'          => '<span style="font-size:10px;">\1</span>',
                // большой текст
                '/\[big\](.+)\[\/big\]/i'              => '<span style="font-size:16px;">\1</span>',
                // красный
                '/\[red\](.+)\[\/red\]/i'              => '<span style="color:red;">\1</span>',
                // зеленый
                '/\[green\](.+)\[\/green\]/i'          => '<span style="color:green;">\1</span>',
                // синий
                '/\[blue\](.+)\[\/blue\]/i'            => '<span style="color:blue;">\1</span>',
                // выделение кода
                '/\[code\](.+)\[\/code\]/is'           => '<code>\1</code>',
                '/\[cit\](.*)\[\/cit\]/is'             => '<div class="cit">\1</div>',
                
        );
        

        $string = preg_replace (array_keys($codes), array_values ($codes), $string);
        


        // badurl
        
        
 
        // новая строка
        $string = str_replace ("\r\n", "<br/>", $string);
        $string = str_replace ("[br]", "<br/>", $string);

       

        // [php][string][/php] // выделение php кода
        $string = preg_replace_callback ('/\[php\](.+)\[\/php\]/i', 'highlight_code', $string);
        
        
        
		
        
        return $string;

}
function highlight_code($matches)
{


        // если callback функция
        if (is_array($matches)) {
                $code = $matches[1];
        }
        else {
                $code = $matches;
        }
                
        // перепреобразование кода
        $code = strtr ($code, array (
                '&lt;'   => '<',
                '&gt;'   => '>',
                '&amp;'  => '&',
                '&quot;' => '"',
                '&#36;'  => '$',
                '&#37;'  => '%', 
                '&#39;'  => "'",
                '&#92;'  => '\\',
                '&#94;'  => '^',
                '&#96;'  => '`',
                '&#124;' => '|'
        ));
        
        // новая строка
        $code = strtr ($code, array (
                "<br/>" => "\r\n",
                "\\"    => ""
        ));
        
        $code = highlight_string($code, true);

        return $code;
	
}

//Инклюдим класс навигации
include_once $_SERVER['DOCUMENT_ROOT'].'/system/class/nav.php';
?>